package cn.bunny.common.constant;

import lombok.Data;

/**
 * 信息提示常量类
 */
@Data
public class MessageConstant {
    public static final String PASSWORD_ERROR = "密码错误";
    public static final String OLD_PASSWORD_ERROR = "旧密码不匹配";
    public static final String OLD_PASSWORD_SAME_NEW_PASSWORD = "旧密码与新密码相同";
    public static final String ACCOUNT_NOT_FOUND = "账号不存在";
    public static final String ACCOUNT_LOCKED = "账号被锁定";
    public static final String UNKNOWN_ERROR = "未知错误";
    public static final String USER_NOT_LOGIN = "用户未登录";
    public static final String USER_TOKEN_OUT_OF_DATE = "用户登录过期";
    public static final String LOGIN_FAILED = "登录失败";
    public static final String UPLOAD_FAILED = "文件上传失败";
    public static final String PASSWORD_EDIT_FAILED = "密码修改失败";
    public static final String ALREADY_EXISTS = "已存在";
    public static final String REQUEST_NOT_EMPTY = "请求不为空";
    public static final String UPDATE_ID_IS_NOT_EMPTY = "删除id不能为空";
    public static final String DELETE_ID_IS_NOT_EMPTY = "修改id不能为空";
    public static final String MENU_IS_NOT_EXIST = "菜单不存在";
    public static final String SAVE_DTO_IS_NULL = "添加参数不能为空";
    public static final String UPDATE_DTO_IS_NULL = "修改参数不能为空";
    public static final String FIND_ID_IS_NOT_EMPTY = "查询ID不能为空";
    public static final String MESSAGE_CODE_NOT_PASS = "短信验证码未过期";
    public static final String MESSAGE_CODE_UNAUTHORIZED = "短信验证码未授权，请联系管理员";
    public static final String VERIFICATION_CODE_ERROR = "验证码错误";
    public static final String USER_DOES_NOT_EXIST = "用户不存在";
    public static final String USER_DOES_IS_EXIST = "用户已存在";
    public static final String VERIFICATION_CODE_IS_EMPTY = "请先发送验证码";
    public static final String LOGIN_DTO_IS_EMPTY = "登录参数不能为空";
    public static final String TOKEN_IS_EMPTY = "token为空";
    public static final String DATA_IS_EMPTY = "数据为空";
    public static final String EMPTY_SEND_OBJECT = "空发送对象";
    public static final String ADDRESS_NOT_NULL = "收件人不能为空";
    public static final String TITLE_NOT_NULL = "标题不能为空";
    public static final String SEND_MESSAGE_NOT_NULL = "发送消息不能为空";
}
