package cn.bunny.service.service.impl;

import cn.bunny.entity.email.EmailSend;
import cn.bunny.entity.email.EmailSendInit;
import cn.bunny.module.mail.utils.MailSenderUtil;
import cn.bunny.service.service.EmailService;
import jakarta.mail.MessagingException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class EmailServiceImpl implements EmailService {

    /**
     * 发送邮件-简单
     *
     * @param emailSend 邮件消息
     */
    @Override
    public void sendSimpleEmail(EmailSend emailSend) {
        EmailSendInit emailSendInit = new EmailSendInit();
        emailSendInit.setHost("smtp.qq.com");
        emailSendInit.setPort(465);
        emailSendInit.setUsername("3324855376@qq.com");
        emailSendInit.setPassword("axyqbvfuxkdqdaai");
        MailSenderUtil mailSenderUtil = new MailSenderUtil(emailSendInit);
        mailSenderUtil.sendSimpleEmail(emailSend);
    }

    /**
     * 发送带附件邮件
     *
     * @param emailSend 邮件消息
     * @return 是否成功
     */
    @Override
    public boolean sendAttachmentEmail(EmailSend emailSend) {
        try {
            EmailSendInit emailSendInit = new EmailSendInit();
            emailSendInit.setHost("smtp.qq.com");
            emailSendInit.setPort(465);
            emailSendInit.setUsername("3324855376@qq.com");
            emailSendInit.setPassword("axyqbvfuxkdqdaai");

            MailSenderUtil mailSenderUtil = new MailSenderUtil(emailSendInit);
            mailSenderUtil.sendEmail(emailSend);
            return true;
        } catch (MessagingException e) {
            return false;
        }
    }

    /**
     * 发送富文本邮件
     *
     * @param emailSend 邮件消息
     * @return 是否成功
     */
    @Override
    public boolean sendRich(EmailSend emailSend) {
        try {
            EmailSendInit emailSendInit = new EmailSendInit();
            emailSendInit.setHost("smtp.qq.com");
            emailSendInit.setPort(465);
            emailSendInit.setUsername("3324855376@qq.com");
            emailSendInit.setPassword("axyqbvfuxkdqdaai");

            MailSenderUtil mailSenderUtil = new MailSenderUtil(emailSendInit);
            mailSenderUtil.sendRichText(emailSend, true);
            return true;
        } catch (MessagingException e) {
            return false;
        }
    }

    /**
     * 发送带抄送的邮件
     *
     * @param emailSend 邮件消息
     */
    @Override
    public boolean sendCC(EmailSend emailSend) {
        try {
            EmailSendInit emailSendInit = new EmailSendInit();
            emailSendInit.setHost("smtp.qq.com");
            emailSendInit.setPort(465);
            emailSendInit.setUsername("3324855376@qq.com");
            emailSendInit.setPassword("axyqbvfuxkdqdaai");

            MailSenderUtil mailSenderUtil = new MailSenderUtil(emailSendInit);
            mailSenderUtil.sendCC(emailSend, true);
            return true;
        } catch (MessagingException e) {
            return false;
        }
    }
}
