package cn.bunny;

import cn.bunny.security.custom.CustomPasswordEncoder;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.security.crypto.password.PasswordEncoder;

@SpringBootTest(classes = CustomPasswordEncoder.class)
class CustomPasswordEncoderTest {
    @Autowired
    private CustomPasswordEncoder customPasswordEncoder;
    @Autowired
    private PasswordEncoder passwordEncoder;

    @Test
    void testCustomPasswordEncoder() {
        String encode = customPasswordEncoder.encode("111111");
        System.out.println(encode);
    }

    @Test
    void testPasswordEncoder() {
        String encode = passwordEncoder.encode("111111");
        System.out.println(encode);
    }
}